Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class WhitespaceFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.WhitespaceFacet

All Implemented Interfaces:
  java.io.Serializable

public class WhitespaceFacet
extends Facet

Represents a whitespace facet on a schema-defined simple type

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.saxonica.schema.Facet
`ENUMERATION, FRACTIONDIGITS, LENGTH, MAX_EXCLUSIVE, MAX_INCLUSIVE, MAX_LENGTH, MIN_EXCLUSIVE, MIN_INCLUSIVE, MIN_LENGTH, PATTERN, TOTALDIGITS, value, WHITESPACE`

Constructor Summary
`WhitespaceFacet()`

Method Summary
`void` | `checkFacetRestriction(UserSimpleType type, SimpleType base)` Check that this facet is legal when used on a type derived by restriction
`java.lang.String` | `getName()` Returns the name of this Facet
`int` | `getWhitespaceAction()` Get the whitespace action required: one of PRESERVE, REPLACE, or COLLAPSE
`void` | `setValue(java.lang.String value)`
`boolean` | `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet

Methods inherited from class com.saxonica.schema.Facet
`appliesToWholeList, getValue, isFixed, setFixed, testLength, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceFacet

    public WhitespaceFacet()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Overrides:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### setValue

    public void setValue(java.lang.String value)
                  throws SchemaException

  Throws:
    `SchemaException`

### getWhitespaceAction

    public int getWhitespaceAction()

  Get the whitespace action required: one of PRESERVE, REPLACE, or COLLAPSE

  Overrides:
    `getWhitespaceAction` in class `Facet`

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base)
                               throws SchemaException,
                                      ValidationException

  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `Facet`
  Parameters:
    `base` - the type from which the restricted type is derived
    `type` - the type on which the facet is defined
  Throws:
    `SchemaException` - if the facet is not legal
    `ValidationException`

### testAtomicValue

    public boolean testAtomicValue(AtomicValue value)

  Test whether an atomic value conforms to this facet

  Overrides:
    `testAtomicValue` in class `Facet`
  Parameters:
    `value` - the value to be tested
  Returns:
    true if the value conforms; false if it doesn't conform, or if the test fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD